Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740750 - sys-libs/glibc should depend on app-arch/gzip
Summary: sys-libs/glibc should depend on app-arch/gzip
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-06 21:42 UTC by Petr Cerny [:hrosik]
Modified: 2021-11-26 21:11 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cerny [:hrosik] 2020-09-06 21:42:33 UTC
sys-libs/glibc is lacking dependency on app-arch/gzip. gzip is necessary for the ocale-gen script, which is part of the sys-libs/glibc package.

When bootstrapping a new system, grep needs to be manually pushed into the target root directory, otherwise the locale generation is not possible.

There is also a warning aboout missing awk, which however doesn't seem to be detrimental to the script functionality.
Comment 1 Larry the Git Cow gentoo-dev 2020-10-09 20:40:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02b32b254703b22dddb5ce2f71b1a1bf727329d8

commit 02b32b254703b22dddb5ce2f71b1a1bf727329d8
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2020-10-09 20:40:22 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2020-10-09 20:40:39 +0000

    sys-libs/glibc: Add deps on gzip, grep, awk
    
    Closes: https://bugs.gentoo.org/740750
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 sys-libs/glibc/glibc-2.32-r2.ebuild | 16 ++++++++++++++++
 sys-libs/glibc/glibc-9999.ebuild    | 16 ++++++++++++++++
 2 files changed, 32 insertions(+)
Comment 2 SpanKY gentoo-dev 2021-11-01 16:07:09 UTC
this sounds like you're bootstrapping wrong.  the packages cited are part of the implicit system set which we explicitly do not put dependencies on in other packages.  grep is needed by literally every package with a configure script (including itself).
Comment 3 Andreas K. Hüttel archtester gentoo-dev 2021-11-01 17:04:42 UTC
Whatever.
Comment 4 SpanKY gentoo-dev 2021-11-01 17:11:05 UTC
don't know what game you're trying to play, but the glibc ebuilds are still incorrect.  we need to revert the deps to fix.
Comment 5 Mike Gilbert gentoo-dev 2021-11-01 17:20:29 UTC
(In reply to SpanKY from comment #4)
> don't know what game you're trying to play, but the glibc ebuilds are still
> incorrect.  we need to revert the deps to fix.

What is the problem with declaring the dependencies explicitly?
Comment 6 SpanKY gentoo-dev 2021-11-26 18:42:31 UTC
(In reply to Mike Gilbert from comment #5)

it sounds like you're asking why implicit system exists.  and as i said, this *isn't* actually a complete list.
Comment 7 Larry the Git Cow gentoo-dev 2021-11-26 18:52:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4ad4f8f0fa05e7504efb3ef6ef46a650b47a4d6

commit f4ad4f8f0fa05e7504efb3ef6ef46a650b47a4d6
Author:     Mike Frysinger <vapier@gentoo.org>
AuthorDate: 2021-11-26 18:46:41 +0000
Commit:     Mike Frysinger <vapier@gentoo.org>
CommitDate: 2021-11-26 18:46:41 +0000

    sys-libs/glibc: remove deps on implicit system packages
    
    These packages are guaranteed to exist as part of implicit system,
    so there's no need to list them here, and we want to keep the C lib
    deps minimal to avoid circular deps.
    
    Closes: https://bugs.gentoo.org/740750
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 sys-libs/glibc/glibc-2.32-r8.ebuild | 15 ---------------
 sys-libs/glibc/glibc-2.33-r1.ebuild | 15 ---------------
 sys-libs/glibc/glibc-2.33-r7.ebuild | 15 ---------------
 sys-libs/glibc/glibc-2.34-r2.ebuild | 15 ---------------
 sys-libs/glibc/glibc-9999.ebuild    | 15 ---------------
 5 files changed, 75 deletions(-)
Comment 8 Mike Gilbert gentoo-dev 2021-11-26 19:18:31 UTC
I am asking you to explain what problem removing the deps solves.
Comment 9 SpanKY gentoo-dev 2021-11-26 19:21:30 UTC
(In reply to Mike Gilbert from comment #8)

and the answer is the same for why we have implicit system in the first place.  i also lightly touched on it in the commit message.

if you want to add these useless deps everywhere, then start a gentoo-dev thread arguing why we should get rid of implicit system.
Comment 10 Mike Gilbert gentoo-dev 2021-11-26 19:48:06 UTC
The devmanual states that packages that are in the system set should declare all of their dependencies. glibc is in the system set, so this rule should apply.
Comment 11 Andreas K. Hüttel archtester gentoo-dev 2021-11-26 20:12:48 UTC
Seriously you could have maybe bothered to ask why it was added. Reverted, 
and please DO NOT TOUCH glibc again without my explicit OK.


(In reply to Larry the Git Cow from comment #7)
> The bug has been closed via the following commit(s):
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=f4ad4f8f0fa05e7504efb3ef6ef46a650b47a4d6
> 
> commit f4ad4f8f0fa05e7504efb3ef6ef46a650b47a4d6
> Author:     Mike Frysinger <vapier@gentoo.org>
> AuthorDate: 2021-11-26 18:46:41 +0000
> Commit:     Mike Frysinger <vapier@gentoo.org>
> CommitDate: 2021-11-26 18:46:41 +0000
> 
>     sys-libs/glibc: remove deps on implicit system packages
>     
>     These packages are guaranteed to exist as part of implicit system,
>     so there's no need to list them here, and we want to keep the C lib
>     deps minimal to avoid circular deps.
>     
>     Closes: https://bugs.gentoo.org/740750
>     Signed-off-by: Mike Frysinger <vapier@gentoo.org>
> 
>  sys-libs/glibc/glibc-2.32-r8.ebuild | 15 ---------------
>  sys-libs/glibc/glibc-2.33-r1.ebuild | 15 ---------------
>  sys-libs/glibc/glibc-2.33-r7.ebuild | 15 ---------------
>  sys-libs/glibc/glibc-2.34-r2.ebuild | 15 ---------------
>  sys-libs/glibc/glibc-9999.ebuild    | 15 ---------------
>  5 files changed, 75 deletions(-)
Comment 12 Arfrever Frehtes Taifersar Arahesis 2021-11-26 21:11:13 UTC
If these dependencies were even to be there, then:
- It seems that sys-apps/sed, sys-apps/coreutils (cat, mkdir, rm) are missing.
- Conditional groups of dependencies seem misplaced:
  For "!compile-locales? ( ... )", IDEPEND is appropriate.
  For "compile-locales? ( ... )", BDEPEND is appropriate.